#
# spec file for package libtranscript
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libtranscript
%define lname	libtranscript1
Version:        0.3.4
Release:        1.3
Summary:        A character set conversion library
License:        GPL-3.0-only
Group:          Development/Libraries/C and C++
URL:            https://os.ghalkes.nl/libtranscript.html
#Git-Clone:	https://github.com/gphalkes/transcript
Source:         https://os.ghalkes.nl/dist/%name-%version.tar.bz2
Source2:        https://os.ghalkes.nl/dist/%name-%version.tar.bz2.sig
Source3:        %name.keyring
BuildRequires:  fdupes
BuildRequires:  gettext-tools
BuildRequires:  libtool
BuildRequires:  pkg-config

%description
libtranscript is a character set conversion library which allows
great control over the conversion.

%package -n %lname
Summary:        A character conversion library
Group:          System/Libraries

%description -n %lname
libtranscript is a character set conversion library which allows
great control over the conversion.

%package devel
Summary:        Development files for libtranscript, a character conversion library
Group:          Development/Libraries/C and C++
Requires:       %lname = %version

%description devel
libtranscript is a character set conversion library which allows
great control over the conversion.

This subpackage contains libraries and header files for developing
applications that want to make use of libtranscript.

%prep
%autosetup -p1

%build
export CC=gcc
# not autoconf :-/
# includedir intentional, cf. bugzilla.opensuse.org/795968
./configure --prefix="%_prefix" --includedir="%_includedir/transcript" \
	--libdir="%_libdir" --docdir="%_docdir/%name"
%make_build

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la
%fdupes %buildroot/%_prefix

%ldconfig_scriptlets -n %lname

%files -n %lname
%_libdir/libtranscript.so.1*
%_libdir/transcript1/
%license COPYING

%files devel
%_includedir/transcript/
%_libdir/libtranscript.so
%_libdir/pkgconfig/libtranscript.pc
%_docdir/%name/
%exclude %_docdir/%name/COPYING

%changelog
* Mon Nov 25 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 0.3.4
  * GCC 14 support
- Delete 0001-build-fix-configure-failure-in-gcc-14.patch (merged)
* Sat Nov  2 2024 Jan Engelhardt <jengelh@inai.de>
- Add 0001-build-fix-configure-failure-in-gcc-14.patch
* Fri Dec 20 2019 Jan Engelhardt <jengelh@inai.de>
- Add keyrings and HTTPS URLs.
* Mon Jan  7 2019 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 0.3.3
  * No functional changes. The pre-generated Doxygen documentation
    was removed from the source tarball.
* Sun Mar 29 2015 jengelh@inai.de
- specfile metadata cleanup
* Thu Feb 19 2015 p.drouand@gmail.com
- Update to version 0.3.2
  * Re-release of version 0.3.1 to update the configure script.
* Mon Jul 21 2014 jengelh@inai.de
- Update to new upstream release 0.3.1
  * This release removes support for Windows-21866 character set.
  This should be the same as the KOI8-U character set (which is
  supported). Furthermore, this release properly handles unpaired
  high surrogates in a UTF-8 stream and uses a script to install
  the required symbolic links, instead of the linkltc program.
* Fri Feb  7 2014 dimstar@opensuse.org
- Declare CC=gcc to ensure we build with gcc; seems make falls back
  to 'c99' otherwise (instead of requiring posix_cc).
* Mon Jun 10 2013 jengelh@inai.de
- Initial package (version 0.3.0) for build.opensuse.org
